Package org.zkoss.zk.au.out

## Class AuScript

- java.lang.Object
- - org.zkoss.zk.au.AuResponse
  - - org.zkoss.zk.au.out.AuScript

-     public class AuScript
      extends AuResponse

  A response to ask the client to execute the specified client scripts.

  data[0]: the client script codes (i.e., JavaScript codes)

  `AuScript` is rarely used, unless you want to execute a code snippet rather than a function invocation. For the function invocation, it is better to use `AuInvoke` instead (such as `AuInvoke(Component,String, Object...)` and `AuInvoke(String, Object...)`).

  Since:
    3.0.0
  Author:
    tomyeh
  See Also:
    `AuInvoke`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.au.AuResponse

      `AuResponse.JSONComponent, AuResponse.JSONDate`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zk.au.AuResponse

      `_cmd, _data, SC_ACTIVATION_TIMEOUT, SC_OUT_OF_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuScript​(java.lang.String script)` | Constructs a AuScript response that doesn't depend on any component.
    `AuScript​(Component depends, java.lang.String script)` |

  - ### Method Summary

    - ### Methods inherited from class org.zkoss.zk.au.AuResponse

      `equals, getCommand, getDepends, getEncodedData, getOverrideKey, getRawData, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuScript

          public AuScript​(Component depends,
                          java.lang.String script)

      Parameters:
        `depends` - the component that this script depends on. Or null if this script shall always execute.

    - #### AuScript

          public AuScript​(java.lang.String script)

      Constructs a AuScript response that doesn't depend on any component.
      Since:
        6.0.0